package _06_for高级练习;

import com.sun.xml.internal.ws.api.model.wsdl.WSDLOutput;
import org.w3c.dom.ls.LSOutput;

import java.util.Scanner;

public class Test1 {
    /**
     * 需求：
     *  键盘录入一个大于等于2的整数 x ，
     *  计算并返回 x 的 平方根 。结果只保留整数部分 ，小数部分将被舍去
     *
     *  4  平方根 2 * 2
     *  9  平方根是 3
     *  16  平方根是 4
     *  17 平方根  4 * 4 (16) -5(25)
     *  只保留整数部分
     *  如果刚好输入的  4   9  16   直接打印xx他对应的平方根
     *  如果你输入 17  18  19    直接打印  xx 是他的整数部分
     *  17  4.1xxx   1*1  2*2  3*3  4*4  17平方根在他俩之间   5*5
     *  1 输入一个数字 创建出来一个Scanner
     *  2 循环操作 for(int i = 1 ; i <= number ; i++)
     *    2.1 if(i * i  == 输入number)
     *        说明i 就是他的平方根
     *    2.2 if(i*i > 输入number){
     *        说明i-1 就是他的整数部分
     *    }
     */
    public static void main(String[] args) {
        Scanner scanner = new Scanner(System.in);
        System.out.println("请输入一个大于2的数字");
        int number = scanner.nextInt();
        for (int i = 1; i <= number; i++) {
            // i * i == 输入的数字 i 就是他的平方根
            if(i * i == number){
                System.out.println(i +"就是输入的平方根");
                break;
            }else if(i * i > number){
                System.out.println((i-1) +"是输入数字平方根的整数部分");
                break;
            }
        }
    }
}
